### Hierarchy

- ChoiceContainer
  - SingleChoice
  - MultipleChoice

### Implements

- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec
- CSS_BASE_CLASS

### Methods

- cssClassName
- mutatedChoiceType
- render
- unwrap

## Constructors

### constructor

- new ChoiceContainer(spec: ISpecification): ChoiceContainer

- - Defined in lib/renderable/choice/ChoiceContainer.ts:14

  #### Parameters

  - ##### spec: ISpecification

  #### Returns ChoiceContainer

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/choice/ChoiceContainer.ts:13

### Static CSS_BASE_CLASS

CSS_BASE_CLASS: "lto-choice-container" = "lto-choice-container"

- Defined in lib/renderable/choice/ChoiceContainer.ts:14

## Methods

### Abstract cssClassName

- cssClassName(): string

- - Defined in lib/renderable/choice/ChoiceContainer.ts:58

  #### Returns string

### Abstract mutatedChoiceType

- mutatedChoiceType(): string

- - Defined in lib/renderable/choice/ChoiceContainer.ts:53

  #### Returns string

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/choice/ChoiceContainer.ts:20

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

### Static Private unwrap

- unwrap(e: HTMLElement[]): HTMLElement | undefined

- - Defined in lib/renderable/choice/ChoiceContainer.ts:61

  #### Parameters

  - ##### e: HTMLElement[]

  #### Returns HTMLElement | undefined

Generated using TypeDoc